INTERFACE
SUBROUTINE FPCICA(KST,KEND,KPROMA,KLEV,KCAPETYPE,PTCLS,PRPCLS,PRHCLS,PT,PRP,&
 & PQV,PCAPE,PCIN,KLCL,KFCL,KEL) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KEND
INTEGER(KIND=JPIM),INTENT(IN) :: KCAPETYPE
REAL(KIND=JPRB) ,INTENT(IN) :: PTCLS(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRPCLS(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRHCLS(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KPROMA,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRP(KPROMA,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQV(KPROMA,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCAPE(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCIN(KPROMA)
INTEGER(KIND=JPIM) ,INTENT(OUT) :: KLCL(KPROMA)
INTEGER(KIND=JPIM) ,INTENT(OUT) :: KFCL(KPROMA)
INTEGER(KIND=JPIM) ,INTENT(OUT) :: KEL(KPROMA)
END SUBROUTINE FPCICA
END INTERFACE
